_

Wykrywanie kolizji obiektów 3D

Forum poświęcone flagowemu produktowi oraz aplikacjom pochodnym Autodesku. To jedyne forum mające w tytule nazwę programu, a to ze względu na jego olbrzymią popularność w Polsce. Można tutaj umieszczać również posty z ogólnie pojętej tematyki "Kreślarskie 2D".

Wykrywanie kolizji obiektów 3D

Postprzez 88marcin » lip 20, 2017 15:53

Witam,

czy istnieje taki skrypt, który by wykrywał kolizje obiektów 3d (brył,powierzchni) i wskazywał miejsca kolizji?
88marcin
 
Posty: 51
Dołączył(a): mar 22, 2016 12:08

Re: Wykrywanie kolizji obiektów 3D

Postprzez kszyho » lip 21, 2017 06:34

W przypadku brył solid polecenie Interfere pozwala wykryć i wskazać kolizje.
www.ksprojekt.ns48.pl
kszyho
 
Posty: 160
Dołączył(a): lis 15, 2005 08:50

Re: Wykrywanie kolizji obiektów 3D

Postprzez 88marcin » lip 21, 2017 12:11

Dzięki za podpowiedź.

Nie do końca chce to osoagnać - wg tego polecenia można wykryć kolizje tylko pomiędzy 2 bryłami (grupami brył).

Chodzi mi o to, że mam bardzo dużo brył (krzyżujące się instalacje) i chcę wiedzieć gdzie są kolizje przez "oflagowanie" tych miejsc.
88marcin
 
Posty: 51
Dołączył(a): mar 22, 2016 12:08

Re: Wykrywanie kolizji obiektów 3D

Postprzez kszyho » lip 21, 2017 12:46

Moim zdaniem ilość obiektów nie ma znaczenia program wykrywa wszystkie kolizje z zaznaczonego obszaru.
Załączniki
interfere.png
www.ksprojekt.ns48.pl
kszyho
 
Posty: 160
Dołączył(a): lis 15, 2005 08:50

Re: Wykrywanie kolizji obiektów 3D

Postprzez ziele_o2k » lip 21, 2017 13:37

88marcin napisał(a):Dzięki za podpowiedź.

Nie do końca chce to osoagnać - wg tego polecenia można wykryć kolizje tylko pomiędzy 2 bryłami (grupami brył).

Chodzi mi o to, że mam bardzo dużo brył (krzyżujące się instalacje) i chcę wiedzieć gdzie są kolizje przez "oflagowanie" tych miejsc.

Interfere działa doskonale - nie wiem gdzie masz problem.
Ale w międzyczasie masz tutaj lispa, który tworzy Ci w miejscu kolizji brył kolejną bryłę o kształcie kolizji i wrzuca bryłę kolizji na warstwę Kolizje3DSolid.
Kod: Zaznacz cały
(defun c:checkSolids ( / ss)
  (if
    (and
      (cd:ENT_MakeLayer "Kolizje3DSolid")
      (setq ss (ssget "_X" '((0 . "3DSOLID") (-4 . "<NOT") (8 "Kolizje3DSolid") (-4 . "NOT>"))))
      (setq ss (cd:SSX_Convert ss 1))
    )
    (foreach %1 ss
      (foreach %2 ss
        (if
          (and
            (not (eq %1 %2))
            (setq Obj (vla-CheckInterference %1 %2 T T))
          )
          (vla-put-Layer Obj "Kolizje3DSolid")
        )
      )
    )
  )
  (princ)
)

Edit:
- cadpacka wczytaj.
Ziele
Avatar użytkownika
ziele_o2k
 
Posty: 487
Dołączył(a): mar 18, 2014 11:33
Lokalizacja: Poznań

Re: Wykrywanie kolizji obiektów 3D

Postprzez kszyho » lip 21, 2017 15:17

Zastanawiam się czy projektujesz instalacje w 3D w AUTOcadzie czy tylko robisz koordynację na podstawie eksportów z innych programów?
www.ksprojekt.ns48.pl
kszyho
 
Posty: 160
Dołączył(a): lis 15, 2005 08:50

Re: Wykrywanie kolizji obiektów 3D

Postprzez ziele_o2k » lip 21, 2017 17:01

kszyho napisał(a):Zastanawiam się czy projektujesz instalacje w 3D w AUTOcadzie czy tylko robisz koordynację na podstawie eksportów z innych programów?

Aż takim masochistą chyba nie jest, żeby robić instalacje za pomocą brył w czystym AutoCadzie :)
Ziele
Avatar użytkownika
ziele_o2k
 
Posty: 487
Dołączył(a): mar 18, 2014 11:33
Lokalizacja: Poznań

Re: Wykrywanie kolizji obiektów 3D

Postprzez 88marcin » lip 26, 2017 10:02

Nie jestem. ;]
Rysuję w programach Fluiddesk - Ventpack.
Program tworzy obiekty z płaszczyzn.

Wiem że da sie to wykryć w programach typu BIM / przeglądarkach BIM
88marcin
 
Posty: 51
Dołączył(a): mar 22, 2016 12:08

Re: Wykrywanie kolizji obiektów 3D

Postprzez dar1 » lip 26, 2017 10:28

88marcin napisał(a):Nie jestem. ;]
Rysuję w programach Fluiddesk - Ventpack.
Program tworzy obiekty z płaszczyzn.

Wiem że da sie to wykryć w programach typu BIM / przeglądarkach BIM



np. Navis Works Autodesku
Avatar użytkownika
dar1
 
Posty: 149
Dołączył(a): cze 22, 2010 06:16

Re: Wykrywanie kolizji obiektów 3D

Postprzez TottalX » sie 07, 2017 19:59

Panowie,
nie chciałbym zakladać nowego wątku, poproszę zatem czytających o sugestie:
otóż będę musiał skoordynować w 3D położenie kilku instalacji technicznych (budownictwo, instalacje HVAC, elektryczne etc.).
Dostaję rysunki 2D AutoCad (ale z podanymi rzędnymi wysokosci), rysunki 3D AutoCad a także rysunki 3D z nakładek (dają bloki 3D). Będę zatem musiał wszystkie obiekty płaskie (tak wygląda np. kanał wentylacji,jak prostokąt) po pierwsz wyciągnąć, przydając im trzeci wymiar-wysokość, a następnie rozciągnąć te pudełka na odpowiednie rzędne..
Analogicznie, ustrój budowlany (sciany, podciągi). A potem taki bigos obejrzeć w przeglądarce Navis Works ?
Czy coś tu można przyśpieszyć, uprościć ? Nie mam dostępu do programów architektonicznych :(, czysty ACAD..
TottalX
 
Posty: 1
Dołączył(a): lip 22, 2017 00:00


Powrót do AutoCAD

Kto przegląda forum

Użytkownicy przeglądający ten dział: MarCho